View Single Post
Old 11-11-2020, 01:46 PM   #1432
Lewapq
Junior Member
Lewapq began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Nov 2020
Device: Kindle
Unable to Authorize Plugin with Goodreads

Hello,

When I try to authorzie Plugin with Goodreads I get the below error. Can you please suggest what might be the problem ?

Thanks in advance,
Lewapq

Code:
calibre, version 5.4.2
ERROR: Unhandled exception: <b>SSLHandshakeError</b>:[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get issuer certificate (_ssl.c:1123)

calibre 5.4.2  embedded-python: True is64bit: False
Windows-10-10.0.18362 Windows ('32bit', 'WindowsPE')
32bit process running on 64bit windows
('Windows', '10', '10.0.18362')
Python 3.8.5
Windows: ('10', '10.0.18362', '', 'Multiprocessor Free')
Interface language: None
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (1, 35, 0) && Package KFX (from KFX Input) (1, 35, 0) && Amazon.com Multiple Countries (1, 0, 0) && Author Book Count (2, 1, 9) && Barnes & Noble (1, 2, 16) && Find Duplicates (1, 8, 3) && Goodreads (1, 5, 1) && Goodreads Sync (1, 14, 3) && Goodreads_Rating (3, 1, 0) && KFX metadata reader (from KFX Input) (1, 35, 0) && KFX Input (1, 35, 0) && Kindle Collections (1, 7, 29) && LubimyCzytac (2, 0, 46)
Traceback (most recent call last):
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1096, in connect
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 117, in _ssl_wrap_socket
  File "ssl.py", line 500, in wrap_socket
  File "ssl.py", line 1040, in _create
  File "ssl.py", line 1309, in do_handshake
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get issuer certificate (_ssl.c:1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "calibre_plugins.goodreads_sync.config", line 1118, in authorize_plugin
  File "calibre_plugins.goodreads_sync.core", line 215, in get_request_token_secret
  File "calibre_plugins.goodreads_sync.core", line 131, in _oauth_request_get
  File "calibre_plugins.goodreads_sync.oauth2.__init__", line 689, in request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1689, in request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1429, in _request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1349, in _conn_request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1122, in connect
calibre_plugins.goodreads_sync.httplib2.SSLHandshakeError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get issuer certificate (_ssl.c:1123)
Lewapq is offline   Reply With Quote